<%@ page language="VB" masterpagefile="~/Template/Master.master" autoeventwireup="false" inherits="HelpDesk_BlockingSettings, MachSol.MachPanel.Web" %>

<asp:Content ID="Content1" ContentPlaceHolderID="CPH_Content" Runat="Server">
    
    <script type="module">

        import { createApp } from 'vue'
        import BlockingSettings from '/Components/HelpDesk/BlockingSettings.js?v=3.9'
        import { getLabelText } from '/Components/Common/utils.js?v=3.9'

        createApp({
            data() {
                return {
                    readOnly: <%= Helper.ReadOnlyRole %>,
                    sortPreference: <%= Newtonsoft.Json.JsonConvert.SerializeObject(InitialSortPreference) %>,
                }
            },
            methods: {
                getLabelText
            },
            created: function () {
                let urlParams = new URLSearchParams(window.location.search);
                
                if (urlParams.has('ES_M')) {
                    if (urlParams.get('ES_M') == '1')
                        displaySuccessMsg(this.getLabelText('EGN0000011'));
                    else if (urlParams.get('ES_M') == '0')
                        displayErrorMsg(Error(this.getLabelText('EGN0000001')));
                }
            },
            components: {
                BlockingSettings
            },
            template: `

                    <BlockingSettings :readOnly="readOnly" :sortPreference="sortPreference" />
`
        }).mount('#app')

    </script>

    <div id="app">
    </div>

</asp:Content>
